package org.gcube.common.authorizationservice.cl;

import static org.gcube.common.authorization.client.Constants.authorizationService;

import java.util.ArrayList;
import java.util.List;

import org.gcube.common.authorization.client.exceptions.ObjectNotFound;
import org.gcube.common.authorization.library.AuthorizationEntry;
import org.gcube.common.authorization.library.policies.Action;
import org.gcube.common.authorization.library.policies.Policy;
import org.gcube.common.authorization.library.policies.ServiceAccess;
import org.gcube.common.authorization.library.policies.User2ServicePolicy;
import org.gcube.common.authorization.library.policies.Users;
import org.gcube.common.authorization.library.provider.UserInfo;
import org.junit.Test;
public class CallTest {

	
	@Test
	public void call()  throws Exception{
				try{
			AuthorizationEntry entry = authorizationService().get("f068c06b-dad9-4007-a3c6-020560116a59|98187548");
			
			System.out.println(entry);
		}catch(ObjectNotFound onf){
			onf.printStackTrace();
		}
	}
	
	@Test
	public void requestToken()  throws Exception {
		
		System.out.println( authorizationService().generateToken(new UserInfo("valentina.marioli", new ArrayList<String>()), "/gcube"));
		
	}
		
	@Test
	public void addPolicy()  throws Exception {
		List<Policy> policies = new ArrayList<Policy>();
		policies.add(new User2ServicePolicy("/gcube/devsec", new ServiceAccess(), Users.one("lucio.lelii"), Action.ACCESS ));
		authorizationService().addPolicies(policies);
	}
	
	@Test
	public void getPolicies()  throws Exception{
		List<Policy> policies = authorizationService().getPolicies("/gcube/devsec");
		System.out.println(policies);	
	}
	
	@Test
	public void removePolicy()  throws Exception {
		authorizationService().removePolicies(2, 3, 4);
	}
}
